;This file is InsydeFlash utility configuration file
[CommonFlash]
SwitchString=ACEN DCEN CPVER:[1] FHRST
ErrorMsg00=No error!
ErrorMsg01=AC detect error!
ErrorMsg02=DC detect error!
ErrorMsg03=DC gas gauge under 30%!
ErrorMsg04=The version of rom file isn't newer than version of bios.
ErrorMsg05=Model name compare error!
ErrorMsg10=Not support this version of Flash Common Interface!
ErrorMsg11=Show BIOS version string length more then xx bytes.
ErrorMsg12=Show model name string length more then xx bytes.
;SwitchString      default : empty.
;                   String : A switch flag setting string. Ex: "ACEN DCEN FHRST"
;                            Detail parameter please reference following table.
;  Parameter    | Description
;  -------------+----------------------------------------------
;  PTEN         | All protection enable.
;  PTDIS        | All protection disable.
;  ACEN         | AC protect checking enable.
;  ACDIS        | AC protect checking disable.
;  DCEN         | DC & Gangue protect checking enable.
;  DCDIS        | DC & Gangue protect checking disable.
;  RESSEN       | BIOS Regression enable.
;  RESSDIS      | BIOS Regression disable.
;  PJMDEN       | Project Model string protect checking enable.
;  PJMDDIS      | Project Model string protect checking disable.
;  FHOS         | System back to OS after flash BIOS completely.
;  FHST         | System directly shutdown after flash BIOS completely.
;  FHRST        | System directly reboot after flash BIOS completely.
;  CPVER:[Num]  | Common Flash Version information
;               | ex: [Num] is decimal and start from 1.
;  -------------+----------------------------------------------
;
;ErrorMsg00        default : empty.
;                   String : No error message.
;ErrorMsg01        default : empty.
;                   String : AC error message.
;ErrorMsg02        default : empty.
;                   String : DC error message.
;ErrorMsg03        default : empty.
;                   String : DC gas gauge under xx% message.
;ErrorMsg04        default : empty.
;                   String : BIOS version error message.
;ErrorMsg05        default : empty.
;                   String : Model name error message.
;ErrorMsg10        default : empty.
;                   String : No support this version of Flash Common Interface message.
;The number of ErrorMsg## is in hex.

[Version]
Version=
;InsydeFlash utility will display the value at top 
;Version           default : empty.
;                   String : Version number string for display.
;                            It will be show on UI, and append on current version number.
;                            When current version is 5.01 and this version string set to "12",
;                             then it will show "InsydeFlash V5.01.12" on main dialog caption.

[FDFile]
FileName=BIOS.bin
;FileName          default : empty. 
;                   String : Utility always load this file.
;                            If the FileName is empty, utility will search current directory
;                              and load the first found FD file. 

[BackupROM]
Flag=0
FilePath=c:
FileName=
;Flag              default : 0.
;                        0 : No backup BIOS.
;                        1 : Backup current BIOS and new BIOS binary.
;FilePath          default : empty.
;                    empty : Use current directory.
;                   String : Directory for backup BIOS. 
;FileName          default : empty.
;                    empty : Use platform ID as file name.
;                   String : File name for backup BIOS.
;xxx.xxx = Current BIOS image
;xxx_01.xxx = Previous BIOS image
;xxx_new.xxx = New BIOS image

[UpdateBlock]
PatchFv=0
FileName=intel.fv
FileOffset=0
FlashSize=0
PhysicalAddress=FFF00000
FvID=945PL-A
IDErrorAction=1
;PatchFv           default : 0.
;                        0 : Update all binary in file.
;                        1 : Partial update mode.
;FileName          default : empty. (Only available in partial update mode.)
;                   String : BIOS file name.
;FileOffset        default : 0. (Only available in partial update mode.)
;                  Integer : The offset of file for reading.
;FlashSize         default : 0. (Only available in partial update mode.)
;                  Integer : The size to flash.
;PhysicalAddress   default : FFF00000. (Only available in partial update mode.)
;                    DWORD : Physical address in hex.
;FvID              default : empty.
;                   String : When flag in Platform_Check section is 1, utility will compare
;                              this value with current platform ID. 
;IDErrorAction     default : 1. (Only available when ID comparison is failed.)
;                        1 : Show error message box.
;                        2 : Close utility and reboot or shutdown.

[Platform_Check]
Flag=3
PlatformName1=VIWZ1
PlatformName2=
PlatformName3=
PlatformName4=
PlatformName5=
PlatformName6=
PlatformName7=
PlatformName8=
PlatformName9=
PlatformName10=
PlatformName11=
PlatformName12=
PlatformName13=
PlatformName14=
PlatformName15=
PlatformName16=
PlatformName17=
PlatformName18=
PlatformName19=
PlatformName20=
;This flag is the switch of comparing bios project ID with ROM file project ID.
;Flag              default : 3.
;                        0 : Don't check project ID.
;                        1 : Check project ID of new file.
;                            If ID is different with current BIOS, the utility will close. 
;                        2 : Utility will compare current platform ID with the 20 platform IDs.
;                            If any one is match, it will go ahead, otherwise utility will close.
;                        3 : Depends on BIOS report.
;PlatformName1~20  default : empty.
;                   String : If ROM file do not contain correct ID, user can define ID here.

[PlatformVersion]
Flag=0
Version1=
Version2=
Version3=
Version4=
Version5=
Version6=
Version7=
Version8=
Version9=
Version10=
Version11=
Version12=
Version13=
Version14=
Version15=
Version16=
Version17=
Version18=
Version19=
Version20=
;This flag only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;The Version is pair with the PlatformName.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;Flag              default : 0.
;                        0 : Don't use multi version.
;                        1 : Use the version in the list instead of the version in file.
;Version1~20       default : empty.
;                   String : If ROM file do not contain correct version, user can define version here.

[AC_Adapter]
Flag=1
BatteryCheck=1
BatteryBound=30
;This flag is the switch of checking AC.
;Flag              default : 1.
;                        0 : Don't check AC.
;                        1 : Check AC.
;BatteryCheck      default : 0.
;                        0 : Don't check battery.
;                        1 : Check battery.
;BatteryBound      default : 20.
;          Integer (1~100) : Low battery boundary (percentage).
;                            When BatteryCheck=1 this value will be referenced.
;                            And only when the battery life percentage is bigger then
;                              inputed value, it can do flash.

[Bios_Version_Check]
Flag=2
CheckByBios=0
CheckByBiosErrorMessage="This BIOS file is not allow to flash. The flash process will be terminated."
;This flag is the switch of checking BIOS version. 
;Flag              default : 2.
;                        0 : Don't check rom file version.
;                        1 : Check BIOS version.
;                            When rom file version is older then BIOS, it will display
;                              a warning message and close application. 
;                        2 : Depend on BIOS report.
;CheckByBios       default : 0.
;                        0 : Normal process.
;                        1 : It will pass version by IHISI 45h to BIOS and check by BIOS.
;                            When BIOS return not allow to flash, it will be terminated the process.
;                            When BIOS allow to flash, it will go ahead and do it's normal process.
;                            When this flag is enable but BIOS not support, it will skip version check and assume allow to flash.
;CheckByBiosErrorMessage
;                  default : "This BIOS file is not allow to flash. The flash process will be terminated."
;                   String : User defined error message when BIOS is not allow to flash this version image.

[ForceFlash]
ALL=1
BB_PEI=0
CPU_Microcode=0
Variable=0
DXE=0
EC=0
Password=0
OEM_NVS=0
Logo=0
Type#09=0
Type#08=0
;ALL               default : 0.
;                        0 : Reserve all protected areas.
;                        1 : Flash all ROM parts.
;BB_PEI, CPU_Microcode, Variable, DXE, EC, Password, OEM_NVS, Logo, Type#09, Type#08 
;                  default : 0.
;                        0 : Protect these areas if BIOS report them are protected areas. 
;                        1 : Force flash these areas if BIOS report them are protected areas. 

[FlashComplete]
Action=2,0
Dialog=0
Counter=15
ActionOverride=0
;Action            default : 2.
;                        0 : Do nothing.
;                        1 : Shutdown.
;                        2 : Reboot.
;Dialog            default : 0.
;                        0 : Don't display dialog.
;                        1 : Display dialog.
;                        2 : Display dialog and wait several seconds.
;Counter           default : 15. (Unit is second)
;                  Integer : The number of seconds for count down to reboot or shutdown.
;ActionOverride    default : 0
;                        0 : This key is disabled. Flash utility bases action key setting to do original behavior. 
;                        1 : This key is enabled. Flash utility just does close itself in silent mode.
;The value behind comma is the return value in silent mode.

[FlashSecureBIOSOverride]
EnableFlashSecureBIOSOverride=0
Action=1
;EnableFlashSecureBIOSOverride
;                  default : 0.
;                        0 : Disable action override. Use the action which returned from BIOS.
;                        1 : Enable the action override when flashing secure BIOS in OS.
;Action            default : 1.
;                        0 : S3.
;                        1 : Reboot.
;                        2 : Shutdown.
;                        3 : Do nothing.

[UI]
Confirm=1
Silent=0
SilentWithDialog=2
DisplayID=1
InsydeInfo=1
VersionInfo=1
GroupInfo=1
ConfirmInfo=0
OnFlashingBeep=0
OnFlashingBeepDelayTime=800
DisableMouseAndKeyboardInput=0
BeforeRunToolDelayTime=0
ProgramStartToWrongMessageBox=0
GetFDFileButton=0
DelayBeforeFlash=0
;Confirm           default : 1.
;                        0 : Don't display confirm dialog.
;                        1 : Display confirm dialog.
;Silent            default : 0.
;                        0 : Normal mode.
;                        1 : Silent mode, hide main dialog.
;SilentWithDialog  default : 2.
;                        0 : Don't display any dialog.
;                        1 : Display main dialog only.
;                        2 : Display all dialogs except main dialog. 
;DisplayID         default : 1.
;                        0 : Don't display BIOS ID.
;                        1 : Display BIOS ID.
;InsydeInfo        default : 1.
;                        0 : Don't display Insyde copyright information and URL.
;                        1 : Display Insyde copyright information and URL.
;VersionInfo       default : 1.
;                        0 : Don't display BIOS version.
;                        1 : Display BIOS version.
;GroupInfo         default : 1.
;                        0 : Don't display group box.
;                        1 : Display group box.
;ConfirmInfo       default : 0.
;                        0 : Don't display BIOS version and date information in confirm dialog.
;                        1 : Display BIOS version and date information in confirm dialog.
;OnFlashingBeep    default : 0.
;                        0 : Don't beep on flashing.
;                        1 : Beep on flashing.
;OnFlashingBeepDelayTime
;                  default : 800. (Unit is millisecond)
;                  Integer : Set beep delay time(Milliseconds).
;DisableMouseAndKeyboardInput
;                  default : 0.
;                        0 : Don't hook mouse and keyboard.
;                        1 : Hook mouse and keyboard without "CTRL+ALT+DEL".
;BeforeRunToolDelayTime
;                  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flash process.
;ProgramStartToWrongMessageBox
;                  default : 0.
;                        0 : Don't pop-up warning dialog before flash process.
;                        1 : Pop-up a warning dialog before flash process.
;GetFDFileButton   default : 0.
;                        0 : Hide FD file browse button.
;                        1 : Show the button for browsing FD file.
;DelayBeforeFlash  default : 0. (Unit is second)
;                  Integer : Delay number of seconds before flashing.

[Others]
ClearCMOS=0
FlashDevice=0
DisableCompare=0
DisableVerify=0
VerifyErrorRetry=3
SMIErrorRetryDelay=100
SMIErrorRetry=5
AllowVersion=000
ForceIHISIVersion=
EnablePrivateRegionMovement=0
DisableSecureCapsuleFlash=0
;ClearCMOS         default : 0.
;                        0 : Don't clear CMOS.
;                        1 : Clear CMOS.
;FlashDevice       default : 0.
;                        0 : Default.
;                        1 : SPI flash part.
;                        2 : Non-SPI flash part.
;DisableCompare    default : 0.
;                        0 : Read BIOS and compare difference before writing.
;                            If the readed data is the same as the data we want to write,
;                              it will not do the write action.
;                        1 : Don't do compare before writing. Just do write action directly.
;DisableVerify     default : 0.
;                        0 : Verify BIOS after writing.
;                        1 : Don't verify BIOS after writing.
;VerifyErrorRetry  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry setted times.
;                            0 for disable verify retry.
;SMIErrorRetryDelay
;                  default : 100. (Unit is millisecond)
;                  Integer : Delay time during SMI error retry(millisecond).
;SMIErrorRetry     default : 5.
;                  Integer : Retry times when SMI fail. (Note: This may let flash time become longer.)
;AllowVersion      default : 000.
;                  Version : Utility will do following process.
;                            If you want to run into UEFI flash update, the current version (on board BIOS) must be higher than this version
;                            (as "AllowVersion" key).
;                            Current BIOS version > allow version: Utility will run into UEFI flash update.
;                            Current BIOS version <= allow version: Utility will run into Window flash to update BIOS.
;                            If AllowVersion=000, utility always into UEFI flash update.
;ForceIHISIVersion default : empty.
;                  Version : This flag will force override the IHISI version which will passing to BIOS.
;                            Ex: 1.9.1
;EnablePrivateRegionMovement
;                  default : 0
;                        0 : Disable private region movement.
;                        1 : Enable private region movement. It will backup orginal private region and relocate to new address which defined in new image BVDT when update whole BIOS.
;DisableSecureCapsuleFlash   
;                  default : 0.
;                        0 : Enable flash secure BIOS on normal platform.
;                        1 : Disable flash secure BIOS on normal platform.

[Option]
Flag=0
;Flag              default : 0.
;                        0 : Auto flash mode.
;                        1 : User option mode, including option, start, exit buttons.
;                            (Option button will disable on secure flash mode.)
;                        2 : User flash mode, including start, exit buttons.

[ReturnErrorCode]
FileNotFound=3,259
ErrorBeforeFlash=4,259
BatteryNotConnect=4,259
BatteryCapacityNotEnough=4,259
WriteROMFail=5,259
WriteECFail=6,259
WriteExtraDataFail=7,259
;FileNotFound      default : 3.
;                  Integer : If utility can't find the BIOS file, it will return this error code.
;ErrorBeforeFlash  default : 4.
;                  Integer : If error occur before flash process, it will return this error code.
;BatteryNotConnect default : 4.
;                  Integer : If battery not connect, it will return this error code.
;                            (This error is separated from ErrorBeforeFlash.)
;BatteryCapacityNotEnough
;                  default : 4.
;                  Integer : If battery capacity not enough, it will return this error code.
;                            (This error is separated from ErrorBeforeFlash.)
;WriteROMFail      default : 5.
;                  Integer : If error occur during write ROM process, it will return this error code.
;WriteECFail       default : 6.
;                  Integer : If error occur during write EC process, it will return this error code.
;WriteExtraDataFail
;                  default : 7.
;                  Integer : If error occur during write Extra Data process, it will return this error code.
;The value behind comma is the return value in silent mode.

[UpdateEC]
Flag=1
EC_Dialog=0
BIOS_Only=0
EC_Only=0
EC_Path=
EC_Compare=0
EC_Verify=0
EC_VerifyErrorRetry=3
Progress_Bar=0
;Flag              default : 0.
;                        0 : Don't flash EC by BIOS.
;                        1 : Flash EC by BIOS.
;EC_Dialog         default : 0.
;                        0 : Don't display confirm dialog when begin to update EC.
;                        1 : Show confirm dialog.
;BIOS_Only         default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Only flash BIOS part of the merge file.
;EC_Only           default : 0.
;                        0 : Flash EC and BIOS file.
;                        1 : Flash only EC binary file.
;EC_Path           default : empty.
;                   String : EC file name.
;EC_Compare        default : 0.
;                        0 : Don't do compare before writing. Just do write action directly.
;                        1 : Read EC and compare difference before writing.
;                            If the read data is the same as the data we want to write,
;                              it will not do the write action.
;EC_Verify         default : 0.
;                        0 : Don't verify EC.
;                        1 : Verify EC after writing.
;EC_VerifyErrorRetry
;                  default : 3.
;                  Integer : Retry times.
;                            If the value is not zero means enable verify retry, and will retry setted times.
;                            0 for disable verify retry.

[UpdateExtraData]
Flag=0
DataType=1
type1errorcodeA0=messagestring1
;Flag              default : 0.
;                        0 : Do not update extra data.
;                        1 : Update extra data by IHISI.
;                            If new image is NOT processed by IFIT tool, please do not enable this function.
;DataType          default : 1.
;                  Integer : Integer number. The meaning of data type number will define by BIOS OEM.
;                          : Now will support 1, 4~C. 
;                          : Ex:1,4,6,5 -> Mean you want to update 1,4,6,5 Four type of data.
;                          : Notice: 2, 3 cannot used.
;type#errorcode??=messagestringX
;                          : This key is for customizing error message which occur in update extra data.
;                            For example:
;                            When an error occur when updating type 4, BIOS return the error code A2.
;                            AP will find the key "type4errorcodeA2" and get the string ID "messagestring4", and find the string in [MessageStringTable].
;                            Then shows the message string instead of standard error message.
;                        # : The the type number define in DataType. (Hex)
;                       ?? : The error code returned by BIOS. Available value range  A0~AF.
;                        X : Message string number.
;This feature will let you just input data to update by IHISI. Data type will define by BIOS OEM.
;If new image is NOT processed by IFIT tool, please do not enable this function.

[UpdateOEMME]
MEFileName=
CheckVersion=0
Command=
;MEFileName        default : empty.
;                   String : if this file name or Multi-FD ME file name exist tool will run this case to flash ME.
;CheckVersion      default : 0.
;                        0 : Don't check ME file version.
;                        1 : Check ME file version.
;                        2 : When ME flash error is cause of same version and downgrade version do not show error and continue to flash.
;                        3 : When ME flash error, show error but continue to flash.    
;Command           default : empty.
;                   String : When this field is empty and don't want to check ME version, utility will use "-f %filename -generic -allowsv" as default command.
;                            The %filename is a keyword which will be replaced with the value in MEFileName within this section or the filename in MULTI_FD section.

[Region]
BIOS=1
GbE=0
ME=0
DESC=0
Platform_Data=0
;This section is used to control SPI descriptor mode.
;If the BIOS is built without additional Intel firmware as like ME, GBE and DESC
; or BIOS is an AMD firmware which does not support ME, please ignore this section.
;BIOS              default : 0.
;                        0 : Don't flash.
;                        1 : Flash BIOS region.
;GbE               default : 0.
;                        0 : Don't flash.
;                        1 : Flash GbE region.
;ME                default : 0.
;                        0 : Don't flash.
;                        1 : Flash ME region.
;DESC              default : 0.
;                        0 : Don't flash.
;                        1 : Flash DESC region.
;Platform_Data     default : 0.
;                        0 : Don't flash.
;                        1 : Flash Platform_Data region.
; For both Normal and Security Flash.

[Log_file]
Flag=0
FileName=InsydeFlash.Log
CMOS_Flag=0
CMOS_INDEX_PORT=70
CMOS_DATA_PORT=71
CMOS_OFFSET=68,69
;Flag              default : 0.
;                        0 : Don't log to file.
;                        1 : Utility will log to specify file.
;FileName          default : InsydeFlash.Log.
;                   String : Log file name.
;CMOS_Flag         default : 0.
;                        0 : Disable CMOS debug.
;                        1 : Enable CMOS debug.
;CMOS_INDEX_PORT   default : 70. (hex)
;                       70 : Use 0x70 port as index port.
;                       72 : Use 0x72 port as index port.
;CMOS_DATA_PORT    default : 71. (hex)
;                       71 : Use 0x71 port as index port.
;                       73 : Use 0x73 port as index port.
;CMOS_OFFSET       default : 0,0. (hex)
;                            CMOS_OFFSET=xx,yy the xx is high byte offset; yy is low byte offset, and the range is 0~FF (hex)

[ReturnCodeDefinition]
RETURN_SUCCESSFUL=0,3010
RETURN_MODEL_CHECK_FAIL=259,259
RETURN_USER_CONFIRM_CANCEL=1701,259
RETURN_AC_NOT_CONNECT=1702,259
RETURN_LOAD_DRIVER_FAIL=1703,259
RETURN_NEED_REBOOT=3010,3010
RETURN_USER_EXIT=1704,259
RETURN_SAME_VERSION_CHECK=99999,259
;                  default : RETURN_SUCCESSFUL=0
;                            RETURN_MODEL_CHECK_FAIL=259
;                            RETURN_USER_CONFIRM_CANCEL=1602
;                            RETURN_AC_NOT_CONNECT=1602
;                            RETURN_LOAD_DRIVER_FAIL=259
;                            RETURN_NEED_REBOOT=3010
;                            RETURN_USER_EXIT=1602
;                            RETURN_SAME_VERSION_CHECK=1602
;                    99999 : Use the default value above.
;            Other integer : Use input value as return code.
;The value behind comma is the return value in silent mode.

[VARIABLE]
Flag=0
SystemManufacturer=0
BoardManufacturer=0
SystemProductName=0
SystemSerialNumber=0
Uuid=0
POSTInfo=0
Version=0
SLP=0
Setup=0
BootPriority=0
LastBootRecord=0
AcpiGlobalVariable=0
SLP2M=0
SLP2P=0
;Flag              default : 0.
;                        0 : Do nothing. The following settings in this section won't be referenced.
;                        1 : Erase variable before flash.
;                        2 : Erase variable only.
;All Other Values  default : 0.
;                        0 : Don't erase variable.
;                        1 : Erase variable before flash base on the "Flag" settings.

[MULTI_FD]
Flag=0
FD#01=PCI,0,1F,2,80,00007006,00007007,9.fd,ME.fd
FD#02=PCI,2,0,0,4,00100006,00100007,7.fd,ME.fd
FD#03=PCI,2,0,0,18,0000000c,0000000e,9.fd,ME.fd
FD#04=MPCIIO,2,PCI-0-1F-0-00-FFFFFFFF-3B0B8086,IO-538-0100-0000,9.fd,ME.fd
FD#05=IO,C0,5AABFE02,5AABFE02,9.fd,ME.fd
FD#06=IO,1F6,E7,E4,7.fd
FD#07=IO,C0,fe03,fe03,7.fd
FD#08=IO,C0,03,01,7.fd
FD#09=PCI,2,0,0,0,00000813,00000812,9.fd
;Flag              default : 0.
;                        0 : Normal mode.
;                        1 : Multi-FD mode. It will reference FD#XX values.
;FD#XX support up to 99 files FD#01 ~ FD#99
;This section supports IO space type, PCI address type and multiple condition type.
;FD#XX=IO,[Offset],[Mask],[Value],[File Name],[ME File Name],[INI File Name]
;FD#XX=PCI,[Bus],[Device],[Function],[Offset],[Mask],[Value],[File Name],[ME File Name],[INI File Name]
;FD#XX=MPCIIO,[Conditon Number],PCI-[Bus]-[Device]-[Function]-[Offset]-[Mask]-[Value],IO-[Offset]-[Mask]-[Value],[File Name],[ME File Name],[INI File Name]
;                 [Offset] : Offset in hex.
;                   [Mask] : IO type supports BYTE, WORD and DWORD in hex.
;                              For example, BYTE -> 03, WORD -> 0A01, DWORD 100400D3 
;                            PCI type supports DWORD in hex only.
;                  [Value] : IO type supports BYTE, WORD and DWORD in hex.
;                            PCI type supports DWORD in hex only.
;              [File name] : File name of FD.
;           [ME File name] : ME File name of FD. If it exists, utility will run OEMME flash feature.
;          [INI File name] : INI File name for overwrite.
;                            If it exists, utility will load the new ini file and overwrite all sections (except [MULTI_FD]) exist in new ini file.
;When [Offset] & [Mask] == [Value], it will flash the following files ([File Name] and [ME File Name]).

[BIOSVersionFormat]
BIOSVFEnable=1
VersionFormat=XXXXNNXX.XX.XXX
;This BIOSVFEnable flag is the switch of BIOSVersionFormat. 
;FunctionEnable    default : 0
;                        0 : function is disabled
;                        1 : function is enabled.
;VersionFormat           X : The field is masked. The mask field will be NOT compared. 
;                        N : The digit field can be ASCII, case-sensitive.
;                        T : It's the same definition with N. But T is a case-insensitive.
;                        . : Dot is also a mask.

[PermitFlashVersion]
PFVFunctionEnable=0
SingleVersion=
MultiVersion1=
MultiVersion2=
MultiVersion3=
MultiVersion4=
MultiVersion5=
MultiVersion6=
MultiVersion7=
MultiVersion8=
MultiVersion9=
MultiVersion10=
MultiVersion11=
MultiVersion12=
MultiVersion13=
MultiVersion14=
MultiVersion15=
MultiVersion16=
MultiVersion17=
MultiVersion18=
MultiVersion19=
MultiVersion20=
;This section is for conditional version definition for BIOS update.
;When this function enabled, flash utility will compare on board BIOS version with conditional version and then decide to continue flash progress or not.
;For example: In following condition PFVFunctionEnable=1, SingleVersion=A03, "Please update to BIOS version A03 first!".
;             When on board BIOS version is older then A03,
;              it will popup the error dialog with the message "Please upate to BIOS version A03 first!" and  then terminated.
;             Otherwise it will continue orginal flash process.
;The MultiVersion1~20 are similar as SingleVersion, but they only available when the [Platform_Check] is enable to compare the 20 platform IDs.
;They must be pair of the PlatformName of [Platform_Check] section.
;For example: When the platform ID matches with PlatformName2, the Version2 will be used.
;PFVFunctionEnable default : 0.
;                        0 : Disable conditional version check.
;                        1 : Enable conditional version check.
;SingleVersion     default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.
;MultiVersion1~20  default : empty.
;                   String : XXXX, "Message String"
;                            XXXX is the conditional version, regarding version check rule please refer section "BIOSVersionFormat".
;                            "Message String" is the message to show when the on board BIOS version is older than the conditional version.

[PasswordCheck]
PasswordCheckEnable=0
MsgCaption=Password confirmation
MsgPreface=Please enter password
MsgSuccess=Password is correct.   
MsgFailure=Password is incorrect. Please retry again.
;PasswordCheckEnable
;                  default : 0.
;                        0 : Disable the password check function.
;                        1 : Enable the password check function.
;MsgCaption        default : "Password confirmation"
;                   String : The dialog box caption.
;MsgPreface        default : "Please enter password"
;                   String : The preface of password entering.
;MsgSuccess        default : "Password is correct."
;                   String : The string displayed when the comparing result returned by BIOS is 0x00.
;MsgFailure        default : "Password is incorrect. Please retry again."
;                   String : The string displayed when the comparing result returned by BIOS is 0x01.

[MessageStringTable]
messagestring1="Warning message 1"
;The message string must as following format messagestring#="Your message here."
;The # is a number in Decimal or Hex.

[FactoryCopy]
Restore=0
;Restore           default : 0.
;                        0 : Don't do FACTORY_COPY restore after flash.
;                        1 : Restore FACTORY_COPY after flash BIOS.
; For Security Flash only.

[EngineeringErrorDisable]
SkipSecureBootProtectionCheck=1

[SecurityFlashFactoryUpdate] 
UpdateNvStorage=0